Bug 732035

Summary: kernel BUG at fs/btrfs/inode.c:4586 when recovering log after unclean reboot
Product: [Fedora] Fedora Reporter: Mikko Tiihonen <mikko.tiihonen>
Component: kernelAssignee: Josef Bacik <jbacik>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 16CC: gansalmon, itamar, jbacik, jonathan, keith.flynn, kernel-maint, madhu.chinakonda
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: kernel-3.1.0-0.rc3.git0.0.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-08-28 05:38:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
kernel console output on crash none

Description Mikko Tiihonen 2011-08-19 14:42:52 UTC
Created attachment 519053 [details]
kernel console output on crash

Description of problem:

Sometimes after a system crash (I'm running nouveau on barely supported hw) btrfs fails to recover its log.

Unfortunately btrfs is my root filesystem and this then makes F16 unusable.

Version-Release number of selected component (if applicable):
kernel-3.0.1-3.fc16

How reproducible:
Happens maybe 1/10th when there is unclean shutdown of filesystem.

Steps to Reproduce:
1. Crash system during disk activity.
2. Reboot
  
Actual results:
Fails to mount btrfs filesystem

Expected results:
Btrfs recovers its log and allows file system to be used.

Additional info:
To recover I have now twice booted to F15 live disk and mount the filesystem. The older kernel does not crash on the journal and after next boot I can boot back to F16.

Comment 1 Josef Bacik 2011-08-19 15:01:20 UTC
This is fixed in the most recent kernel.  I've submitted the patches to -stable so it should show up in a stable kernel at some point, but until then you can run the latest rawhide kernel and I think the patches are in there.

Comment 2 Chuck Ebbert 2011-08-23 16:10:41 UTC
Should be fixed in 3.1.0-rc3

Comment 3 Fedora Update System 2011-08-23 16:17:59 UTC
kernel-3.1.0-0.rc3.git0.0.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.1.0-0.rc3.git0.0.fc16

Comment 4 Fedora Update System 2011-08-28 05:37:13 UTC
kernel-3.1.0-0.rc3.git0.0.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.